{
	"schema": "https://iot-ap.ikonke.com/model/product_114.json",
	"productType": "airConditioning",
	"profile": {
		"heartbeat": "3000",
		"productCode": "114",
		"productName": "新风网关"
	},
	"services": [{
		"identifier": "set",
		"name": "set",
		"required": true,
		"callType": "async",
		"desc": "属性设置",
		"method": "thing.service.property.set",
		"inputData": [{
			"identifier": "PowerSwitch",
			"name": "电源开关",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "WindSpeed",
			"name": "风速",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "低档",
					"2": "中档",
					"3": "高档"
				}
			}
		}, {
			"identifier": "WorkMode",
			"name": "工作模式",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "节能",
					"2": "舒适",
					"3": "自动",
					"4": "手动",
					"5": "睡眠",
					"6": "新风",
					"7": "内通风",
					"8": "内除湿",
					"9": "新风除湿"
				}
			}
		}, {
			"identifier": "StrainerState",
			"name": "滤网状态",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "清晰",
					"1": "正常"
				}
			}
		}, {
			"identifier": "StrainerAlarmTime",
			"name": "滤网告警时间",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1500",
					"max": "6000",
					"unit": "h",
					"unitName": "小时",
					"step": "1"
				}
			}
		}],
		"outputData": []
	}, {
		"identifier": "get",
		"name": "get",
		"required": true,
		"callType": "async",
		"desc": "属性获取",
		"method": "thing.service.property.get",
		"inputData": ["VerticalSwitch", "PowerSwitch", "WindSpeed", "WorkMode", "StrainerState", "StrainerAlarmTime", "CO2", "PM25"],
		"outputData": [{
			"identifier": "PowerSwitch",
			"name": "电源开关",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "WindSpeed",
			"name": "风速",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "低档",
					"2": "中档",
					"3": "高档"
				}
			}
		}, {
			"identifier": "WorkMode",
			"name": "工作模式",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "节能",
					"2": "舒适",
					"3": "自动",
					"4": "手动",
					"5": "睡眠",
					"6": "新风",
					"7": "内通风",
					"8": "内除湿",
					"9": "新风除湿"
				}
			}
		}, {
			"identifier": "StrainerState",
			"name": "滤网状态",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "清晰",
					"1": "正常"
				}
			}
		}, {
			"identifier": "StrainerAlarmTime",
			"name": "滤网告警时间",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1500",
					"max": "6000",
					"unit": "h",
					"unitName": "小时",
					"step": "1"
				}
			}
		}, {
			"identifier": "CO2",
			"name": "二氧化碳",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "0",
					"max": "65535",
					"unit": "mg/m³",
					"unitName": "毫克每立方米",
					"step": "1"
				}
			}
		}, {
			"identifier": "PM25",
			"name": "PM25",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "0",
					"max": "65535",
					"unit": "μg/m³",
					"unitName": "微克每立方米",
					"step": "1"
				}
			}
		}]
	}],
	"properties": [{
		"identifier": "PowerSwitch",
		"name": "电源开关",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "关闭",
				"1": "开启"
			}
		}
	}, {
		"identifier": "WindSpeed",
		"name": "风速",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "自动",
				"1": "静音档",
				"2": "低档",
				"3": "中档",
				"4": "高档",
				"5": "最高档"
			}
		}
	}, {
		"identifier": "WorkMode",
		"name": "工作模式",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "enum",
			"specs": {
				"1": "节能",
				"2": "舒适",
				"3": "自动",
				"4": "手动",
				"5": "睡眠",
				"6": "新风",
				"7": "内通风",
				"8": "内除湿",
				"9": "新风除湿"
			}
		}
	}, {
		"identifier": "StrainerState",
		"name": "滤网状态",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "清晰",
				"1": "正常"
			}
		}
	}, {
		"identifier": "StrainerAlarmTime",
		"name": "滤网告警事件",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "int",
			"specs": {
				"min": "1500",
				"max": "6000",
				"unit": "h",
				"unitName": "小时",
				"step": "1"
			}
		}
	}, {
		"identifier": "co2",
		"name": "二氧化碳",
		"accessMode": "r",
		"required": false,
		"dataType": {
			"type": "int",
			"specs": {
				"min": "0",
				"max": "65535",
				"unit": "mg/m³",
				"unitName": "毫克每立方米",
				"step": "1"
			}
		}
	}, {
		"identifier": "PM25",
		"name": "PM25",
		"accessMode": "r",
		"required": false,
		"dataType": {
			"type": "int",
			"specs": {
				"min": "0",
				"max": "65535",
				"unit": "μg/m³",
				"unitName": "微克每立方米",
				"step": "1"
			}
		}
	}],
	"events": [{
		"identifier": "post",
		"name": "post",
		"type": "info",
		"required": true,
		"desc": "属性上报",
		"method": "thing.event.property.post",
		"outputData": [{
			"identifier": "PowerSwitch",
			"name": "电源开关",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "WindSpeed",
			"name": "风速",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "低档",
					"2": "中档",
					"3": "高档"
				}
			}
		}, {
			"identifier": "WorkMode",
			"name": "工作模式",
			"dataType": {
				"type": "enum",
				"specs": {
					"1": "节能",
					"2": "舒适",
					"3": "自动",
					"4": "手动",
					"5": "睡眠",
					"6": "新风",
					"7": "内通风",
					"8": "内除湿",
					"9": "新风除湿"
				}
			}
		}, {
			"identifier": "StrainerState",
			"name": "滤网状态",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "清晰",
					"1": "正常"
				}
			}
		}, {
			"identifier": "StrainerAlarmTime",
			"name": "滤网告警时间",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "1500",
					"max": "6000",
					"unit": "h",
					"unitName": "小时",
					"step": "1"
				}
			}
		}, {
			"identifier": "CO2",
			"name": "二氧化碳",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "0",
					"max": "65535",
					"unit": "mg/m³",
					"unitName": "毫克每立方米",
					"step": "1"
				}
			}
		}, {
			"identifier": "PM25",
			"name": "PM25",
			"dataType": {
				"type": "int",
				"specs": {
					"min": "0",
					"max": "65535",
					"unit": "μg/m³",
					"unitName": "微克每立方米",
					"step": "1"
				}
			}
		}]
	}]
}